# Get loan periods

Returns loan's payment periods.

Endpoint: GET /people/{personId}/loans/{loanId}/periods
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Path parameters:

  - `personId` (string, required)
    A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

  - `loanId` (string, required)
    The unique identifier of the Loan we wish to retrieve. Can be
Peach or lender's external identifier.

## Query parameters:

  - `fromDate` (string)
    The first date in the range to return.
The system will return any period for which period's startDate - endDate fully or partially overlap with fromDate - toDate range.
Both fromDate and toDate must be passed to get all periods in the range.

  - `toDate` (string)
    The last date in the range to return.
The system will return any period for which period's startDate - endDate fully or partially overlap with fromDate - toDate range.
Both fromDate and toDate must be passed to get all periods in the range.

  - `dueDate` (string)
    The due date of the period. The system will return the object corresponding to the period with due date equal to dueDate.
If no matching period is found, the system will return no results.

## Response 200 fields (application/json):

  - `data` (array)

  - `data.dueDate` (string)
    The period's payment due date in the product timezone.

  - `data.endDate` (string)
    The period end date in the product timezone. The end date is inclusive.

  - `data.id` (string)
    The period identifier.

  - `data.startDate` (string)
    The period start date in the product timezone. The start date is inclusive.

  - `data.statementDate` (string)
    The date when a statement for the period was created or should be created in the future.


